import apiRequest from '@/network/http/apiRequest'

/**
 * 获取部门列表
 * @returns
 */
export function getGroupByList() {
  return apiRequest({
    url: '/group',
    method: 'GET',
  })
}

/**
 * 根据ID获取
 * @returns
 * @param groupId
 */
export function getGroupById(groupId: number) {
  return apiRequest({
    url: `/group/${groupId}`,
    method: 'GET',
  })
}

/**
 * 添加部门
 * @param data
 * @returns
 */
export function createGroup(data: any) {
  return apiRequest({
    url: '/group/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新部门
 * @param data
 * @returns
 */
export function updateGroup(data: any) {
  return apiRequest({
    url: '/group/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除部门
 * @returns
 * @param groupId
 */
export function deleteGroupById(groupId: number) {
  return apiRequest({
    url: `/group/${groupId}`,
    method: 'DELETE',
  })
}

/**
 * 获取部门列表
 * @returns
 */
export function getGroupView() {
  return apiRequest({
    url: '/group/view',
    method: 'GET',
  })
}
